# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{mocha}
  s.version = "0.9.12"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["James Mead"]
  s.date = %q{2011-02-13}
  s.description = %q{      Mocking and stubbing library with JMock/SchMock syntax, which allows mocking and stubbing of methods on real (non-mock) classes.
}
  s.email = %q{mocha-developer@googlegroups.com}
  s.extra_rdoc_files = ["README.rdoc", "COPYING.rdoc"]
  s.files = ["lib/mocha/any_instance_method.rb", "lib/mocha/api.rb", "lib/mocha/argument_iterator.rb", "lib/mocha/backtrace_filter.rb", "lib/mocha/cardinality.rb", "lib/mocha/central.rb", "lib/mocha/change_state_side_effect.rb", "lib/mocha/class_method.rb", "lib/mocha/configuration.rb", "lib/mocha/deprecation.rb", "lib/mocha/exception_raiser.rb", "lib/mocha/expectation.rb", "lib/mocha/expectation_error.rb", "lib/mocha/expectation_list.rb", "lib/mocha/in_state_ordering_constraint.rb", "lib/mocha/inspect.rb", "lib/mocha/instance_method.rb", "lib/mocha/integration/mini_test/assertion_counter.rb", "lib/mocha/integration/mini_test/exception_translation.rb", "lib/mocha/integration/mini_test/version_13.rb", "lib/mocha/integration/mini_test/version_140.rb", "lib/mocha/integration/mini_test/version_141.rb", "lib/mocha/integration/mini_test/version_142_to_172.rb", "lib/mocha/integration/mini_test/version_200.rb", "lib/mocha/integration/mini_test/version_201_to_202.rb", "lib/mocha/integration/mini_test.rb", "lib/mocha/integration/test_unit/assertion_counter.rb", "lib/mocha/integration/test_unit/gem_version_200.rb", "lib/mocha/integration/test_unit/gem_version_201_to_202.rb", "lib/mocha/integration/test_unit/gem_version_203_to_209.rb", "lib/mocha/integration/test_unit/ruby_version_185_and_below.rb", "lib/mocha/integration/test_unit/ruby_version_186_and_above.rb", "lib/mocha/integration/test_unit.rb", "lib/mocha/integration.rb", "lib/mocha/is_a.rb", "lib/mocha/logger.rb", "lib/mocha/metaclass.rb", "lib/mocha/method_matcher.rb", "lib/mocha/mock.rb", "lib/mocha/mockery.rb", "lib/mocha/module_method.rb", "lib/mocha/multiple_yields.rb", "lib/mocha/names.rb", "lib/mocha/no_yields.rb", "lib/mocha/object.rb", "lib/mocha/options.rb", "lib/mocha/parameter_matchers/all_of.rb", "lib/mocha/parameter_matchers/any_of.rb", "lib/mocha/parameter_matchers/any_parameters.rb", "lib/mocha/parameter_matchers/anything.rb", "lib/mocha/parameter_matchers/base.rb", "lib/mocha/parameter_matchers/equals.rb", "lib/mocha/parameter_matchers/has_entries.rb", "lib/mocha/parameter_matchers/has_entry.rb", "lib/mocha/parameter_matchers/has_key.rb", "lib/mocha/parameter_matchers/has_value.rb", "lib/mocha/parameter_matchers/includes.rb", "lib/mocha/parameter_matchers/instance_of.rb", "lib/mocha/parameter_matchers/is_a.rb", "lib/mocha/parameter_matchers/kind_of.rb", "lib/mocha/parameter_matchers/not.rb", "lib/mocha/parameter_matchers/object.rb", "lib/mocha/parameter_matchers/optionally.rb", "lib/mocha/parameter_matchers/query_string.rb", "lib/mocha/parameter_matchers/regexp_matches.rb", "lib/mocha/parameter_matchers/responds_with.rb", "lib/mocha/parameter_matchers/yaml_equivalent.rb", "lib/mocha/parameter_matchers.rb", "lib/mocha/parameters_matcher.rb", "lib/mocha/pretty_parameters.rb", "lib/mocha/return_values.rb", "lib/mocha/sequence.rb", "lib/mocha/single_return_value.rb", "lib/mocha/single_yield.rb", "lib/mocha/standalone.rb", "lib/mocha/state_machine.rb", "lib/mocha/stubbing_error.rb", "lib/mocha/unexpected_invocation.rb", "lib/mocha/yield_parameters.rb", "lib/mocha.rb", "lib/mocha_standalone.rb", "lib/stubba.rb", "README.rdoc", "COPYING.rdoc"]
  s.homepage = %q{http://mocha.rubyforge.org}
  s.rdoc_options = ["--title", "Mocha", "--main", "README.rdoc", "--line-numbers"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{mocha}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{Mocking and stubbing library}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
